Index: /main/waeup.kofa/trunk/docs/source/userdocs/datacenter/logging.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/datacenter/logging.rst	(revision 12894)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/datacenter/logging.rst	(revision 12895)
@@ -4,17 +4,52 @@
 ********
 
-Kofa is logging actions, which cause changes to the database or the filesystem, in separate human-redable event logfiles. Nearly all actions are being logged, except some actions committed by applicants and students during registration periods. During these data initialization periods, applicants and students are requested to edit many fields. Usually they press the 'Save' button quite often to backup the data entered so far. Logging all these changes would mean filling the logfiles with more or less useless or redundant information.
-
-The main purpose of Kofa's logging facilities is to trace changes effected by portal officers. Applicants and students can only access their own data. They don't have the permission to change anything else. Whereas portal officers bear responsibility for the integrity of the whole database. Depending on the roles they have, officers can add, edit or remove application and study data without leaving a trace in the object database itself. Kofa closes this security gap by recording nearly all actions of portal officers into various event logfiles.
+Kofa logs actions, which cause changes to the database or the
+filesystem, in separate human-redable event logfiles. Nearly all
+actions are being logged, except some actions committed by
+applicants and students during registration periods. During these
+data initialization periods, applicants and students are requested
+to edit many fields. Usually they press the 'Save' button quite
+often to backup the data entered so far. Logging all these changes
+would mean filling the logfiles with more or less useless or
+redundant information.
+
+The main purpose of Kofa's logging facilities is to trace changes
+effected by portal officers. Applicants and students can only access
+their own data. They don't have the permission to change anything
+else. Whereas portal officers bear responsibility for the integrity
+of the whole database. Depending on the roles they have, officers
+can add, edit or remove application and study data without leaving a
+trace in the object database itself. Kofa closes this security gap
+by recording nearly all actions of portal officers into various
+event logfiles.
 
 .. note::
 
- Kofa logs the changing but not the viewing of data (except downloading export files or reports). Also entering (login) end leaving (logout) the portal is **not** being recorded.
-
-Critics may claim that extensive logging may discourage officers from working with the portal. Persons in key functions often don't want to be controlled or supervised by anybody else. Indeed, Kofa does not respond to the desire for this kind of privacy. Datacenter managers can search all logfiles and can even see what their principles have done with the data. Goal behind is **transparency and security**, i.e. transparent data processing and reduction of the vulnerability to corruption combined with cutting-edge technologies to protect the data against attacks from outside.
-
-Logfiles can not be accessed directly. They can neither be downloaded nor viewed entirely online. But the files can be searched online for arbitrary `regular expressions`_. The simplest regular expression is a single word or a string. A technical description, how logfiles are being querried, can be found :py:meth:`here<waeup.kofa.datacenter.DataCenter.queryLogfiles>`.
-
-Each line in the logfile means a single log entry. It is composed of four parts: a datetime string, the log level (mainly 'INFO'), the id of the logged-in user, and a message part. Depending on the module, the message part is subdivided into further parts which are described below.
+  Kofa logs the changing but not the viewing of data (except
+  downloading export files or reports). Also entering (login) end
+  leaving (logout) the portal is **not** being recorded.
+
+Critics may claim that extensive logging may discourage officers
+from working with the portal. Persons in key functions often don't
+want to be controlled or supervised by anybody else. Indeed, Kofa
+does not respond to the desire for this kind of privacy. Datacenter
+managers can search all logfiles and can even see what their
+principles have done with the data. Goal behind is **transparency
+and security**, i.e. transparent data processing and reduction of
+the vulnerability to corruption combined with cutting-edge
+technologies to protect the data against attacks from outside.
+
+Logfiles can not be accessed directly. They can neither be
+downloaded nor viewed entirely online. But the files can be searched
+online for arbitrary `regular expressions`_. The simplest regular
+expression is a single word or a string. A technical description,
+how logfiles are being querried, can be found
+:py:meth:`here<waeup.kofa.datacenter.DataCenter.queryLogfiles>`.
+
+Each line in the logfile means a single log entry. It is composed of
+four parts: a datetime string, the log level (mainly 'INFO'), the id
+of the logged-in user, and a message part. Depending on the module,
+the message part is subdivided into further parts which are
+described below.
 
 
@@ -22,5 +57,8 @@
 ========
 
-All actions in the academic section are logged in ``main.log``. Changes of faculties, departments, certificates, courses and certificate courses done via pages in the user interface (browser page) are recorded in the following form::
+All actions in the academic section are logged in ``main.log``.
+Changes of faculties, departments, certificates, courses and
+certificate courses done via pages in the user interface (browser
+page) are recorded in the following form::
 
   2014-12-11 13:09:22,855 - INFO - admin - browser.pages.DepartmentAddFormPage - added: FAC1/DEP1
@@ -28,6 +66,10 @@
   2014-12-12 13:19:43,255 - INFO - admin - browser.pages.FacultyManageFormPage - removed: DEP1
 
-The message part is composed of the browser page name and the action taken. In the example above a department ``DEP1`` was added on December 11, 2014 by user ``admin`` in faculty ``FAC1``, the title was changed 10 minutes later and, finally, the department was entirely removed one day later. In the same way user data and configuration data are logged in the main logfile. Examples::
-
+The message part is composed of the browser page name and the action
+taken. In the example above a department ``DEP1`` was added on
+December 11, 2014 by user ``admin`` in faculty ``FAC1``, the title
+was changed 10 minutes later and, finally, the department was
+entirely removed one day later. In the same way user data and
+configuration data are logged in the main logfile. Examples::
 
   2015-04-01 08:33:47,474 - INFO - admin - browser.pages.UserManageFormPage - Test edited: roles
@@ -52,8 +94,16 @@
 ``zope.anybody`` is the user id of anonnymous (non-logged-in) users.
 
-Some log entries do not contain information about a browser page. These entries were generated deeper in the system. The ``Document created`` entry, for example, was added by a workflow transition. The ``PasswordMandate used`` entry was added by :py:meth:`waeup.kofa.mandates.mandate.PasswordMandate.execute` and not directly by the browser page which calls this method (:py:meth:`waeup.kofa.mandates.browser.MandateView.update`).
-
-``main.log`` is also the place where plugins store information about system upgrades. If catalogs have to be re-indexed or new attributes of objects have to
-be initialized, a corresponding message is stored in the main logfile.
+Some log entries do not contain information about a browser page.
+These entries were generated deeper in the system. The ``Document
+created`` entry, for example, was added by a workflow transition.
+The ``PasswordMandate used`` entry was added by
+:py:meth:`waeup.kofa.mandates.mandate.PasswordMandate.execute` and
+not directly by the browser page which calls this method
+(:py:meth:`waeup.kofa.mandates.browser.MandateView.update`).
+
+``main.log`` is also the place where plugins store information about
+system upgrades. If catalogs have to be re-indexed or new attributes
+of objects have to be initialized, a corresponding message is stored
+in the main logfile.
 
 
@@ -61,5 +111,7 @@
 ==============
 
-All actions in the data center are logged in ``datacenter.log``. These are uploading import files, processing import files and downloading any kind of datacenter file::
+All actions in the data center are logged in ``datacenter.log``.
+These are uploading import files, processing import files and
+downloading any kind of datacenter file::
 
   2015-04-29 06:52:23,483 - INFO - admin - browser.pages.DatacenterUploadPage - uploaded: /kofa/trunk/var/datacenter/users_admin.csv
@@ -69,7 +121,13 @@
   2015-04-29 06:54:51,748 - INFO - admin - processed: /kofa/trunk/var/datacenter/users2_admin.csv, create mode, 3 lines (3 successful/ 0 failed), 0.024 s (0.0079 s/item)
 
-In the example above a user data file ``users.csv`` was uploaded and processed in update mode. The import failed since the 3 users didn't exist. The file was then deleted. User ``admin`` uploaded the file a second time. The file name had to be changed because the uploader does not allow to upload files with same name twice. The file was finally successfully processed in create mode.
-
-Also the export of data (export, download and discard) is recorded in detail::
+In the example above a user data file ``users.csv`` was uploaded and
+processed in update mode. The import failed since the 3 users didn't
+exist. The file was then deleted. User ``admin`` uploaded the file a
+second time. The file name had to be changed because the uploader
+does not allow to upload files with same name twice. The file was
+finally successfully processed in create mode.
+
+Also the export of data (export, download and discard) is recorded
+in detail::
 
   2015-04-29 06:55:20,485 - INFO - admin - browser.pages.ExportCSVPage - exported: certificates, job_id=3036
@@ -81,5 +139,7 @@
 ===============
 
-The creation of access code batches, disabling and re-enabling of single access codes and archiving and removal of entire batches is logged as follows::
+The creation of access code batches, disabling and re-enabling of
+single access codes and archiving and removal of entire batches is
+logged as follows::
 
   2015-04-29 08:12:26,091 - INFO - admin - accesscodes.browser.AddBatchPage - created: ABC-1-2015_04_29_06_12_24-admin.csv (1000, 2300.000000)
@@ -89,5 +149,8 @@
   2015-04-29 08:14:14,152 - INFO - admin - accesscodes.browser.BatchContainerPage - deleted: ABC-1
 
-Not all access code workflow transitions are being logged. Each access code has a history attribute which contains a detailed list of all transitions. The history is shown on the `BatchContainerSearchPage`.
+Not all access code workflow transitions are being logged. Each
+access code has a history attribute which contains a detailed list
+of all transitions. The history is shown on the
+`BatchContainerSearchPage`.
 
 
@@ -95,5 +158,14 @@
 ==============
 
-The creation, editing and removal of applicants containers as well as editing application records (applicants) is being logged. Also the approval of payment tickets and all other payment ticket transactions are being recorded in ``applicants.log``. Kofa also logs all workflow transitions into both the applicant's history attribute and the logfile. Okay, this is somehow redundant, but it has proved useful to get a complete overview over all application data transactions also in the logfile. In return, Kofa does not aditionally log actions of browser pages if a workflow transition is triggered at the same time. Let's see the example::
+The creation, editing and removal of applicants containers as well
+as editing application records (applicants) is being logged. Also
+the approval of payment tickets and all other payment ticket
+transactions are being recorded in ``applicants.log``. Kofa also
+logs all workflow transitions into both the applicant's history
+attribute and the logfile. Okay, this is somehow redundant, but it
+has proved useful to get a complete overview over all application
+data transactions also in the logfile. In return, Kofa does not
+aditionally log actions of browser pages if a workflow transition is
+triggered at the same time. Let's see the example::
 
   2015-04-29 10:14:40,565 - INFO - admin - applicants.browser.ApplicantsContainerAddFormPage - added: app2015
@@ -113,5 +185,18 @@
   2015-04-29 10:45:15,299 - INFO - admin - applicants.browser.ApplicantsRootManageFormPage - removed: app2015
 
-An applicants container was added first. The `startdate`,  `enddate` and the `application_fee` attributes were edited and a new application record (applicant) was added some seconds later. The `ApplicantManageFormPage` was opened, `reg_number`, `sex`, `course1` and `date_of_birth` was edited and the ``start`` transition was selected. This was done in the same transaction. The time difference between both log entries is only 0.001s. Furthermore, a payment ticket was created and the payment approved. Then the applicant was set to ``sumitted``, a `course_admitted` was selected and the applicant subsequently admitted. The form was automatically locked (see time difference). A student container was created and filled with the data from the application record. Finally, the entire applicants container including its content was removed in the same transaction, see time diffence between the last two log entries.
+An applicants container was added first. The `startdate`, `enddate`
+and the `application_fee` attributes were edited and a new
+application record (applicant) was added some seconds later. The
+`ApplicantManageFormPage` was opened, `reg_number`, `sex`, `course1`
+and `date_of_birth` was edited and the ``start`` transition was
+selected. This was done in the same transaction. The time difference
+between both log entries is only 0.001s. Furthermore, a payment
+ticket was created and the payment approved. Then the applicant was
+set to ``sumitted``, a `course_admitted` was selected and the
+applicant subsequently admitted. The form was automatically locked
+(see time difference). A student container was created and filled
+with the data from the application record. Finally, the entire
+applicants container including its content was removed in the same
+transaction, see time diffence between the last two log entries.
 
 
@@ -119,5 +204,9 @@
 ============
 
-The following example shows a typical Nigerian logfile excerpt for a student from the very beginning (student record creation from application data) till the first registration of courses at level 100. Such an excerpt can be produced simply by searching for ``B1234567`` on the ``students.log`` search page::
+The following example shows a typical Nigerian logfile excerpt for a
+student from the very beginning (student record creation from
+application data) till the first registration of courses at level
+100. Such an excerpt can be produced simply by searching for
+``B1234567`` on the ``students.log`` search page::
 
   2014-12-11 10:21:21,930 - INFO - admin - B1234567 - Record created
@@ -146,12 +235,22 @@
   2015-03-28 07:18:21,846 - INFO - admin - Student Processor - Matno_for_upload_25_03_2015-1_admin - B1234567 - updated: student_id=B1234567, matric_number=LSC123456
 
-The log entry format of transactions due to imports is slightly different::
+The log entry format of transactions due to imports is slightly
+different::
 
   2015-04-30 08:40:51,088 - INFO - admin - Student Processor - studentcreate_admin - B3333333 - updated: state=returning, reg_number=BIA12326, firstname=FRIDAY, middlename=None, lastname=Olonko, sex=m, nationality=NG, matric_number=SSC4444444
   2015-04-30 08:41:27,179 - INFO - admin - StudentStudyCourse Processor (update only) - studycourseaupdate_admin - B3333333 - updated: entry_mode=ug_pt, certificate=BIA, current_session=2002, entry_session=2002, current_level=100, current_verdict=Z
 
-Two files had been uploaded by admin (``studentcreate.csv`` and ``studycourseaupdate.csv``, see entries in ``datacenter.log``) and subsequently imported with the Student Processor and Student Study Course Processor respectively.
-
-As already stated above, not all actions committed by students are beeing logged. The student did not only upload a lot of files but also edited dozens of fields on the clearance form page and probably pressed the 'Save' button very often to backup the data entered so far. These backup transactions were skipped. All other transactions are being recorded. Some examples of further logfile records are listed below.
+Two files had been uploaded by admin (``studentcreate.csv`` and
+``studycourseaupdate.csv``, see entries in ``datacenter.log``) and
+subsequently imported with the Student Processor and Student Study
+Course Processor respectively.
+
+As already stated above, not all actions committed by students are
+beeing logged. The student did not only upload a lot of files but
+also edited dozens of fields on the clearance form page and probably
+pressed the 'Save' button very often to backup the data entered so
+far. These backup transactions were skipped. All other transactions
+are being recorded. Some examples of further logfile records are
+listed below.
 
 Setting a temporary password::
@@ -164,9 +263,11 @@
   2014-11-17 10:19:05,735 - INFO - admin - students.browser.StudentActivatePage - W1111111 - account activated
 
-Rejection of clearance requests (an email is sent and the body of the email is stored as comment in the logfile)::
+Rejection of clearance requests (an email is sent and the body of
+the email is stored as comment in the logfile)::
 
   2014-10-27 12:39:34,499 - INFO - clearanceofficer - students.browser.StudentRejectClearancePage - W2222222 - comment: no credit in english
 
-Approval of payment tickets (which does not automatically goes along with a student workflow transition)::
+Approval of payment tickets (which does not automatically goes along
+with a student workflow transition)::
 
   2012-11-02 12:01:03,022 - INFO - admin - students.browser.OnlinePaymentApprovePage - W1000000 - schoolfee payment approved: p3517158705027
@@ -185,5 +286,11 @@
 ============
 
-This file is hidden and can only be accessed directly in the filesystem. The payment logger is not needed in the Kofa base package. Only `OnlinePaymentApprovePage.update()` writes into the ``payments.log`` file. The logger is primarily intended for storing information about successfull financial transactions via external payment gateways (e.g. PayPal, Interswitch, eTranzact). No external payment gateway module is configured in the base package.
+This file is hidden and can only be accessed directly in the
+filesystem. The payment logger is not needed in the Kofa base
+package. Only `OnlinePaymentApprovePage.update()` writes into the
+``payments.log`` file. The logger is primarily intended for storing
+information about successfull financial transactions via external
+payment gateways (e.g. PayPal, Interswitch, eTranzact). No external
+payment gateway module is configured in the base package.
 
 
@@ -191,5 +298,7 @@
 ===========
 
-Whereas the reservation/allocation of bed spaces is being logged in ``students.log`` (see above), the management of hostels and beds is recorded in ``hostels.log``::
+Whereas the reservation/allocation of bed spaces is being logged in
+``students.log`` (see above), the management of hostels and beds is
+recorded in ``hostels.log``::
 
   2015-04-30 11:44:29,145 - INFO - admin - hostels.browser.HostelAddFormPage - hostels - added: Hall 1
@@ -204,5 +313,9 @@
   2015-04-30 11:54:30,163 - INFO - admin - hostels.browser.HostelsContainerManagePage - hostels - deleted: hall-1
 
-In this example, the hostel ``Hall 1`` was added and configured, beds were updated, beds were reserved (switched), the hostel configuration was changed, beds were updated again, beds were unreserved, a single bed was released, a new student was allocated and, finally, the entire hostel was removed.
+In this example, the hostel ``Hall 1`` was added and configured,
+beds were updated, beds were reserved (switched), the hostel
+configuration was changed, beds were updated again, beds were
+unreserved, a single bed was released, a new student was allocated
+and, finally, the entire hostel was removed.
 
 Also all transactions of the Hostel Processor are being logged::