Index: main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- main/waeup.kofa/trunk/CHANGES.txt	(revision 12900)
+++ main/waeup.kofa/trunk/CHANGES.txt	(revision 12901)
@@ -4,4 +4,8 @@
 1.3.2.dev0 (unreleased)
 =======================
+
+* Add link 'Kofa Docs for this page' at the end of the content box
+  which refers to the corresponding section of the
+  `Kofa Documentation <http://kofa-doc.waeup.org>`_.
 
 * Filter students by current level in reports.
Index: main/waeup.kofa/trunk/docs/source/userdocs/datacenter/logging.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/datacenter/logging.rst	(revision 12900)
+++ main/waeup.kofa/trunk/docs/source/userdocs/datacenter/logging.rst	(revision 12901)
@@ -111,7 +111,6 @@
 ==============
 
-All actions in the data center are logged in ``datacenter.log``.
-These are uploading import files, processing import files and
-downloading any kind of datacenter file::
+All actions in the data center (uploading, processing, downloading
+and deleting of files) are logged in ``datacenter.log``::
 
   2015-04-29 06:52:23,483 - INFO - admin - browser.pages.DatacenterUploadPage - uploaded: /kofa/trunk/var/datacenter/users_admin.csv
Index: main/waeup.kofa/trunk/layout/static/css/base.css
===================================================================
--- main/waeup.kofa/trunk/layout/static/css/base.css	(revision 12900)
+++ main/waeup.kofa/trunk/layout/static/css/base.css	(revision 12901)
@@ -163,4 +163,11 @@
     margin: 0px 0px 4px 0px;
     display: inline-block;
+}
+
+/* Documentation link*/
+
+div.documentation {
+    margin-top: -20px;
+    text-align: right;
 }
 
Index: main/waeup.kofa/trunk/layout/theme.html
===================================================================
--- main/waeup.kofa/trunk/layout/theme.html	(revision 12900)
+++ main/waeup.kofa/trunk/layout/theme.html	(revision 12901)
@@ -517,4 +517,10 @@
               </tbody>
             </table>
+            <br>
+            <div class="documentation">
+              <a href="#" target="_blank">
+                Kofa Docs for this page
+              </a>
+            </div>
           </div> <!-- /well kofa-content-->
         </div> <!-- /kofa-content-wide -->
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 12900)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 12901)
@@ -59,5 +59,5 @@
     ISessionConfiguration, ISessionConfigurationAdd, IJobManager,
     IPasswordValidator, IContactForm, IKofaUtils, ICSVExporter,
-    academic_sessions_vocab)
+    academic_sessions_vocab, DOCLINK)
 from waeup.kofa.permissions import (
     get_users_with_local_roles, get_all_roles, get_all_users,
@@ -891,4 +891,5 @@
     label = _(u'Data Center')
     pnav = 0
+    doclink = DOCLINK + '/datacenter.html'
 
     @jsaction(_('Remove selected'))
@@ -1170,4 +1171,5 @@
     pnav = 0
     cancel_button =_(u'Back to Data Center')
+    doclink = DOCLINK + '/datacenter/import_stages.html'
 
     def getFiles(self):
@@ -1201,4 +1203,5 @@
     back_button =_(u'Back to step 1')
     proceed_button =_(u'Proceed to step 3')
+    doclink = DOCLINK + '/datacenter/import_stages.html'
 
     filename = None
@@ -1306,4 +1309,5 @@
     back_button =_(u'Back to step 2')
     proceed_button =_(u'Perform import')
+    doclink = DOCLINK + '/datacenter/import_stages.html'
 
     filename = None
@@ -1414,4 +1418,5 @@
     pnav = 0
     back_button =_(u'Process next')
+    doclink = DOCLINK + '/datacenter/import_stages.html'
 
     filename = None
@@ -1477,4 +1482,5 @@
     back_button = _(u'Back to Data Center')
     show_button = _(u'Show')
+    doclink = DOCLINK + '/datacenter/logging.html'
 
     def update(self, back=None):
@@ -1495,4 +1501,8 @@
     placeholder = _('Enter a regular expression here...')
 
+    def doclink(self):
+        return DOCLINK + (
+            '/datacenter/logging.html#%s' % self.filename.replace('.', '-'))
+
     def label(self):
         return "Logfile %s" % self.filename
@@ -1570,4 +1580,5 @@
     export_button = _(u'Create CSV file')
     cancel_button =_(u'Back to Data Center')
+    doclink = DOCLINK + '/datacenter/export.html'
 
     def getExporters(self):
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogsshowfilepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogsshowfilepage.pt	(revision 12900)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogsshowfilepage.pt	(revision 12901)
@@ -2,4 +2,5 @@
   <input type="text" name="query" class="form-control"
 	 tal:attributes="value view/query; placeholder view/placeholder" />
+   <br />
   <input class="btn btn-primary" type="submit" name="search"
 	 tal:attributes="value view/search_button" />
@@ -9,5 +10,5 @@
 	 tal:attributes="value view/filename" />
 </form>
-
+<br />
 <div tal:condition="view/result|nothing">
   <pre tal:content="structure view/result">
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 12900)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 12901)
@@ -89,5 +89,7 @@
     <div class="sidebar well">
         <div tal:condition="layout/getStudentName">
-          <div class="kofa-sidebar-title" tal:content="layout/getStudentName">STUDENTNAME</div>
+          <div class="kofa-sidebar-title" tal:content="layout/getStudentName">
+            STUDENTNAME
+          </div>
           <ul class="nav">
             <tal:left content="structure provider:left_studentmanage" />
@@ -95,5 +97,7 @@
         </div>
         <div tal:condition="layout/isAuthenticated">
-          <div class="kofa-sidebar-title" tal:content="layout/getUserTitle">USERNAME</div>
+          <div class="kofa-sidebar-title" tal:content="layout/getUserTitle">
+            USERNAME
+          </div>
           <ul class="nav">
             <tal:left content="structure provider:left_manage" />
@@ -132,5 +136,10 @@
       </div>
       <br />
-
+      <div class="documentation" tal:condition="view/doclink|nothing">
+        <a href="#" tal:attributes="href view/doclink"
+           i18n:translate="" target="_blank">
+          Kofa Docs for this page
+        </a>
+      </div>
     </div>
     <!-- /Diazo element-->
Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 12900)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 12901)
@@ -44,4 +44,5 @@
 WAEUP_KEY = 'waeup.kofa'
 VIRT_JOBS_CONTAINER_NAME = 'jobs'
+DOCLINK = 'http://kofa-doc.waeup.org/userdocs'
 
 CREATED = 'created'
Index: main/waeup.kofa/trunk/src/waeup/kofa/reports.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/reports.py	(revision 12900)
+++ main/waeup.kofa/trunk/src/waeup/kofa/reports.py	(revision 12901)
@@ -153,5 +153,5 @@
 
 class ReportsOfficer(grok.Role):
-    """The Reports Officer has the permission to to view, add and remove
+    """The Reports Officer has the permission to view, add and remove
     **own** reports.
     """
@@ -161,5 +161,5 @@
 
 class ReportsManager(grok.Role):
-    """The Reports Manager has the permission to to view, add and remove
+    """The Reports Manager has the permission to view, add and remove
     **all** reports.
     """
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 12900)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 12901)
@@ -45,5 +45,5 @@
     IKofaObject, IUserAccount, IExtFileStore, IPasswordValidator, IContactForm,
     IKofaUtils, IUniversity, IObjectHistory, academic_sessions, ICSVExporter,
-    academic_sessions_vocab, IJobManager, IDataCenter)
+    academic_sessions_vocab, IJobManager, IDataCenter, DOCLINK)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.widgets.datewidget import (
@@ -3146,4 +3146,5 @@
     pnav = 1
     redirect_target = ''
+    doclink = DOCLINK + '/datacenter/export.html#student-data-exporters'
 
     def _set_session_values(self):