Index: /main/waeup.kofa/trunk/docs/source/userdocs/academics.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/academics.rst	(revision 12907)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/academics.rst	(revision 12908)
@@ -1,5 +1,5 @@
 .. _academic_section:
 
-Academic Section
+Academic Section 
 ****************
 
@@ -15,5 +15,5 @@
   `longtitle` = `title_prefix` + `title` (`code`)
 
-The following :ref:`local roles <local_roles>` can be assigned at faculty level:
+The following :ref:`local roles <local_roles>` can be assigned at faculty tree level:
 
   .. autoattribute:: waeup.kofa.university.faculty.Faculty.local_roles
@@ -24,5 +24,5 @@
 Additionally, each department object has the attributes `certificates` and `courses`. These attributes again are containers which hold certificate and course objects respectively. A :py:meth:`traverse <waeup.kofa.university.department.Department.traverse>` method leads the user to believe that `certificates` and `courses` are the ids of objects stored inside a department container. De facto they are not. However, it doesn't matter if we store a sub-object 'in' or 'at' a parent object. The result is exactly the same: :ref:`a hierarchical, treelike storage of objects <object_database>`.
 
-The following :ref:`local roles <local_roles>` can be assigned at department level:
+The following :ref:`local roles <local_roles>` can be assigned at department tree level:
 
   .. autoattribute:: waeup.kofa.university.department.Department.local_roles
@@ -31,11 +31,11 @@
 =======
 
-The `Course` class inherits from `grok.Model` which means it is designed as a pure model and not a container. Courses are tips of the database tree branches. Course objects contain information as they are offered by the department. In the base package these are: `code`, `title`, `credits`, `passmark`, `semester` and the boolean attribute `former_course`. They also have a `longtitle` property. A former course is an archived course which had been offered in the past.
+The `Course` class inherits from `grok.Model` which means it is designed as a pure model and not a container. Courses are tips of the database tree branches. Course objects contain information as they are offered by the department. In the base package these are: `code`, `title`, `credits`, `passmark`, `semester` and the boolean attribute `former_course`. Like all objects in the academic section, they also have a `longtitle` property. A former course is an archived course which had been offered in the past and is no longer part of any curriculum.
 
 .. note::
 
-  Only the department, which offers the course, decides how many credits can be earned, which pass mark must be achieved and in which semester the course can be taken. The manager of the department cannot decide whether a course is mandatory or not, or at which study level the course has to be taken when studying a certain programme. This information is stored in `CertificateCourse` objects, see below. Therefore it does not make sense to speak e.g. of a 300 level course. Also course codes like ``AEE311``, which tell the student that the course is primarily intended for 300 level students, is somehow misleading. There might be other study programmes which recommend to take this course already at level 200.
+  Only the department, which offers the course, decides how many credits can be earned, which pass mark must be achieved and in which semester the course can be taken. The manager of the department cannot decide whether a course is mandatory or not, or at which study level the course has to be taken when studying a certain programme. This information is stored in `CertificateCourse` objects, see below. Therefore it does not make sense to speak e.g. of a 300 level course. Also course codes like ``AEE311``, which tell the student that the course is primarily intended for 300 level students, is somehow misleading. There might be other study programmes which recommend to take this course earlier or later.
 
-The following :ref:`local roles <local_roles>` can be assigned at course level:
+The following :ref:`local roles <local_roles>` can be assigned at course tree level:
 
   .. autoattribute:: waeup.kofa.university.course.Course.local_roles
@@ -45,9 +45,9 @@
 ============
 
-In Kofa, the terms 'certificate' and 'study programme' are used synonymously. A certificate object holds information about the study programme. Important data for further processing in Kofa are: the various school fees to be paid at certain levels, programme start and programme end level, the mode of the study course and, last but not least, the application category to which the programme belongs.
+In Kofa, the terms 'certificate' and 'study programme' are used synonymously. A certificate object holds information about the study programme. Important data for further processing in Kofa are: the various school fees to be paid at certain levels, programme start and end level, the study mode and, last but not least, the application category to which the programme belongs.
 
-Certificates are also containers which contain `CertificateCourse` objects. That means a certificate defines the list of course units which have to or can be taken within the programme.
+Certificates are containers which contain `CertificateCourse` objects. That means a certificate defines the curriculum, i.e. the list of course units which have to or can be taken within the programme.
 
-The following :ref:`local roles <local_roles>` can be assigned at certificate level:
+The following :ref:`local roles <local_roles>` can be assigned at certificate tree level:
 
   .. autoattribute:: waeup.kofa.university.certificate.Certificate.local_roles
@@ -57,4 +57,9 @@
 ===================
 
+`CertificateCourse` objects point to `Course` objects which means they have a `course` attribute which is one of the course objects stored in the portal. If the course is removed, an event handler takes care of deleting also all referring certificate courses. The same happens if a course is beeing marked as former course (see above). A former course cannot be part of a curriculum.
+
+Certificate courses have to more attributes: `level` (integer) and `mandatory` (boolean). Simply put, certificate courses carry the information at which level a certain course can or has to be taken to meet the current curriculum.
+
+No local role can be assigned at certificate course tree level.
 
 
Index: /main/waeup.kofa/trunk/docs/source/userdocs/accesscodes.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/accesscodes.rst	(revision 12907)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/accesscodes.rst	(revision 12908)
@@ -1,4 +1,4 @@
 .. _accesscodes:
 
-Access Codes
-************
+Access Codes :sup:`in progress`
+*******************************
Index: /main/waeup.kofa/trunk/docs/source/userdocs/applicants.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/applicants.rst	(revision 12907)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/applicants.rst	(revision 12908)
@@ -1,4 +1,4 @@
 .. _application_section:
 
-Application Section
-*******************
+Application Section :sup:`in progress`
+**************************************
Index: /main/waeup.kofa/trunk/docs/source/userdocs/configuration.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/configuration.rst	(revision 12907)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/configuration.rst	(revision 12908)
@@ -1,4 +1,4 @@
 .. _configuration:
 
-Portal Configuration
-********************
+Portal Configuration :sup:`in progress`
+***************************************
Index: /main/waeup.kofa/trunk/docs/source/userdocs/documents.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/documents.rst	(revision 12907)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/documents.rst	(revision 12908)
@@ -1,4 +1,4 @@
 .. _documents:
 
-Public Documents
-****************
+Public Documents :sup:`in progress`
+***********************************
Index: /main/waeup.kofa/trunk/docs/source/userdocs/hostels.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/hostels.rst	(revision 12907)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/hostels.rst	(revision 12908)
@@ -1,4 +1,4 @@
 .. _accommodation_section:
 
-Accommodation Section
-*********************
+Accommodation Section :sup:`in progress`
+****************************************
Index: /main/waeup.kofa/trunk/docs/source/userdocs/reports.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/reports.rst	(revision 12907)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/reports.rst	(revision 12908)
@@ -1,4 +1,4 @@
 .. _reports:
 
-Reports
-*******
+Reports :sup:`in progress`
+**************************
Index: /main/waeup.kofa/trunk/docs/source/userdocs/students.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/students.rst	(revision 12907)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/students.rst	(revision 12908)
@@ -1,4 +1,4 @@
 .. _student_section:
 
-Student Section
-***************
+Student Section :sup:`in progress`
+**********************************
Index: /main/waeup.kofa/trunk/docs/source/userdocs/users.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/users.rst	(revision 12907)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/users.rst	(revision 12908)
@@ -1,4 +1,4 @@
 .. _users:
 
-Portal Officers
-***************
+Portal Officers :sup:`in progress`
+**********************************