Index: main/waeup.kofa/trunk/docs/source/userdocs/academics.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/academics.rst	(revision 12909)
+++ main/waeup.kofa/trunk/docs/source/userdocs/academics.rst	(revision 12910)
@@ -78,15 +78,17 @@
 .. note::
 
-  Only the department, which offers the course, decides how many
-  credits can be earned, which pass mark must be achieved and in which
-  semester the course can be taken. The manager of the department
-  cannot decide whether a course is mandatory or not, or at which
-  study level the course has to be taken when studying a certain
-  programme. This information is stored in `CertificateCourse` objects,
-  see below. Therefore it does not make sense to speak e.g. of a 300
-  level course. Also course codes like ``AEE311``, which tell the
-  student that the course is primarily intended for 300 level students,
-  is somehow misleading. There might be other study programmes which
+  Only the manager of the department, which offers the course,
+  decides how many credits can be earned, which pass mark must be
+  achieved and in which semester the course can be taken. The
+  manager cannot decide whether a course is mandatory or not, or
+  at which study level the course has to be taken when studying a
+  certain programme. This information is stored in
+  `CertificateCourse` objects, see below. Therefore it does not
+  make sense to speak e.g. of a 300 level course. Also course
+  codes like ``AEE311``, which tell the student that the course
+  is primarily intended for 300 level students, is somehow
+  misleading. There might be other study programmes which
   recommend to take this course earlier or later.
+
 
 The following :ref:`local roles <local_roles>` can be assigned at
@@ -117,4 +119,12 @@
    :noindex:
 
+.. warning::
+
+  Do not remove certificates without backing up the student data
+  of this department. If a certificate or even one of its parent
+  containers is removed, students studying this programme are
+  'homeless' and need to be re-allocated to another study
+  programme.
+
 Certificate Courses
 ===================
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 12909)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 12910)
@@ -1725,4 +1725,5 @@
     taboneactions = [_('Add faculty'), _('Remove selected'),_('Cancel')]
     subunits = _('Faculties')
+    doclink = DOCLINK + '/academics.html'
 
     @property
@@ -1759,4 +1760,5 @@
     form_fields = grok.AutoFields(IFaculty)
     pnav = 1
+    doclink = DOCLINK + '/academics.html#faculties'
 
     @action(_('Add faculty'), style='primary')
@@ -1811,4 +1813,5 @@
     tabthreeactions1 = [_('Remove selected local roles')]
     tabthreeactions2 = [_('Add local role')]
+    doclink = DOCLINK + '/academics.html#faculties'
 
     form_fields = grok.AutoFields(IFaculty).omit('code')
@@ -1907,4 +1910,5 @@
     form_fields = grok.AutoFields(IDepartment)
     pnav = 1
+    doclink = DOCLINK + '/academics.html#departments'
 
     @action(_('Add department'), style='primary')
@@ -1976,4 +1980,5 @@
     tabfouractions1 = [_('Remove selected local roles')]
     tabfouractions2 = [_('Add local role')]
+    doclink = DOCLINK + '/academics.html#departments'
 
     form_fields = grok.AutoFields(IDepartment).omit('code')
@@ -2049,4 +2054,5 @@
     form_fields = grok.AutoFields(ICourse)
     pnav = 1
+    doclink = DOCLINK + '/academics.html#courses'
 
     @action(_('Add course'))
@@ -2090,4 +2096,5 @@
     form_fields = grok.AutoFields(ICertificate)
     pnav = 1
+    doclink = DOCLINK + '/academics.html#certificates'
 
     @action(_('Add certificate'))
@@ -2151,4 +2158,5 @@
     tabtwoactions1 = [_('Remove selected local roles')]
     tabtwoactions2 = [_('Add local role')]
+    doclink = DOCLINK + '/academics.html#courses'
 
     form_fields = grok.AutoFields(ICourse).omit('code')
@@ -2200,4 +2208,5 @@
     pnav = 1
     label = _('Edit certificate')
+    doclink = DOCLINK + '/academics.html#certificates'
 
     form_fields = grok.AutoFields(ICertificate).omit('code')
@@ -2252,4 +2261,5 @@
     pnav = 1
     label = _('Add certificate course')
+    doclink = DOCLINK + '/academics.html#certificate-courses'
 
     @action(_('Add certificate course'))
@@ -2305,4 +2315,5 @@
     label = _('Edit certificate course')
     pnav = 1
+    doclink = DOCLINK + '/academics.html#certificate-courses'
 
     @action(_('Save and return'), style='primary')
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 12909)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 12910)
@@ -3119,4 +3119,5 @@
     label = _('Student Data Exports')
     pnav = 1
+    doclink = DOCLINK + '/datacenter/export.html#student-data-exporters'
 
     def update(self, CREATE=None, DISCARD=None, job_id=None):