Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 12910)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 12912)
@@ -150,5 +150,5 @@
     """
     grok.context(IUsersContainer)
-    title = _(u'Portal Users')
+    title = _(u'Officers')
     parent_viewname = 'administration'
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.txt	(revision 12910)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.txt	(revision 12912)
@@ -92,5 +92,5 @@
     >>> blist3 = getBreadcrumbListForView(page)
     >>> [x.title for x in blist3]
-    [u'Home', u'Administration', u'Portal Users']
+    [u'Home', u'Administration', u'Officers']
 
 ..note:: This works only for views created with grokcore.component
@@ -112,5 +112,5 @@
     >>> mybccontainer = IBreadcrumbContainer(page)
     >>> [x.title for x in mybccontainer]
-    [u'Home', u'Administration', u'Portal Users']
+    [u'Home', u'Administration', u'Officers']
 
 It is, however, not a real Python list but only an iterable
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 12910)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 12912)
@@ -2,5 +2,5 @@
 *************
 
-Here we visit all parts of a Kofa portal using a browser.
+Here we visit parts of a Kofa portal using a browser.
 
 University
@@ -39,4 +39,5 @@
 
 We can change to German::
+
   >>> browser.getLink('de').click()
   >>> print browser.contents
@@ -47,4 +48,5 @@
 And then change back to English by clicking on the third link containing 'en'
 behind 'Anfragen' and 'Einloggen'::
+
   >>> browser.getLink('en', index=2).click()
   >>> print browser.contents
@@ -165,15 +167,15 @@
 
 
-Portal Users
-============
+Officers
+========
 
   >>> browser.open('http://localhost/myuniversity')
-  >>> browser.getLink('Portal Users').click()
-  >>> print browser.contents
-  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...Portal Users...
-  ...
-
-We can add users:
+  >>> browser.getLink('Officers').click()
+  >>> print browser.contents
+  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
+  ...Officers...
+  ...
+
+We can add officers:
 
   >>> browser.getLink("Add user").click()
@@ -213,5 +215,5 @@
   ...
 
-Users can't be added twice:
+Officers can't be added twice:
 
   >>> browser.open('http://localhost/myuniversity/users/add')
@@ -228,5 +230,5 @@
   True
 
-Users can be deleted:
+Officers can be deleted:
 
   >>> browser.open('http://localhost/myuniversity/users')
@@ -366,7 +368,7 @@
   ...
 
-On the portal user page the new local role is displayed:
-
-  >>> browser.getLink("Portal Users").click()
+On the officers page the new local role is displayed:
+
+  >>> browser.getLink("Officers").click()
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
@@ -583,5 +585,5 @@
 instances.
 
-To ease the life of users we do not require to browse the
+To ease the life of officers we do not require to browse the
 coursescontainers (which have a rather flat user interface), but
 provide adding of courses in department views.
@@ -735,5 +737,5 @@
 On the portal user page the new local role is displayed:
 
-  >>> browser.getLink("Portal Users").click()
+  >>> browser.getLink("Officers").click()
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
@@ -826,5 +828,5 @@
 :class:`waeup.kofa.university.department.Department` instances.
 
-To ease the life of users we do not require to browse the
+To ease the life of officers we do not require to browse the
 certificatescontainers (which have in fact no user interface), but
 provide adding of certificates in department views.
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 12910)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 12912)
@@ -532,5 +532,5 @@
     grok.context(IUsersContainer)
     grok.name('index')
-    label = _('Portal Users')
+    label = _('Officers')
     manage_button = _(u'Manage')
     delete_button = _(u'Remove')
@@ -2379,5 +2379,5 @@
                     result.reg_number == identifier:
                     return result
-        # Search portal user
+        # Search officer
         user = grok.getSite()['users'].get(identifier, None)
         if user is not None and user.email == email:
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 12910)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 12912)
@@ -329,5 +329,5 @@
 
     link = u'users'
-    text = _(u'Portal Users')
+    text = _(u'Officers')
 
 class ManageDataCenter(ManageLink):
@@ -756,5 +756,5 @@
     grok.require('waeup.manageUsers')
 
-    link_title = _('Portal Users')
+    link_title = _('Officers')
     target_viewname = 'users'
     