Index: main/waeup.kofa/trunk/docs/source/userdocs/testing.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/testing.rst	(revision 12915)
+++ main/waeup.kofa/trunk/docs/source/userdocs/testing.rst	(revision 12915)
@@ -0,0 +1,18 @@
+.. _testing:
+
+Testing :sup:`in progress`
+**************************
+
+Doc Tests
+=========
+
+.. toctree::
+   :maxdepth: 2
+
+   testing/browser
+   testing/breadcrumbs
+   testing/catalog
+   testing/datacenter
+   testing/permissions
+   testing/userscontainer
+   testing/batchprocessing
Index: main/waeup.kofa/trunk/docs/source/userdocs/testing/batchprocessing.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/testing/batchprocessing.rst	(revision 12915)
+++ main/waeup.kofa/trunk/docs/source/userdocs/testing/batchprocessing.rst	(revision 12915)
@@ -0,0 +1,3 @@
+.. _batchprocessing_txt:
+
+.. include:: ../../../../src/waeup/kofa/browser/batchprocessing.txt
Index: main/waeup.kofa/trunk/docs/source/userdocs/testing/breadcrumbs.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/testing/breadcrumbs.rst	(revision 12915)
+++ main/waeup.kofa/trunk/docs/source/userdocs/testing/breadcrumbs.rst	(revision 12915)
@@ -0,0 +1,3 @@
+.. _breadcrumbs_txt:
+
+.. include:: ../../../../src/waeup/kofa/browser/breadcrumbs.txt
Index: main/waeup.kofa/trunk/docs/source/userdocs/testing/browser.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/testing/browser.rst	(revision 12915)
+++ main/waeup.kofa/trunk/docs/source/userdocs/testing/browser.rst	(revision 12915)
@@ -0,0 +1,3 @@
+.. _browser_txt:
+
+.. include:: ../../../../src/waeup/kofa/browser/browser.txt
Index: main/waeup.kofa/trunk/docs/source/userdocs/testing/catalog.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/testing/catalog.rst	(revision 12915)
+++ main/waeup.kofa/trunk/docs/source/userdocs/testing/catalog.rst	(revision 12915)
@@ -0,0 +1,3 @@
+.. _catalog_txt:
+
+.. include:: ../../../../src/waeup/kofa/catalog.txt
Index: main/waeup.kofa/trunk/docs/source/userdocs/testing/datacenter.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/testing/datacenter.rst	(revision 12915)
+++ main/waeup.kofa/trunk/docs/source/userdocs/testing/datacenter.rst	(revision 12915)
@@ -0,0 +1,3 @@
+.. _datacenter_txt:
+
+.. include:: ../../../../src/waeup/kofa/datacenter.txt
Index: main/waeup.kofa/trunk/docs/source/userdocs/testing/permissions.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/testing/permissions.rst	(revision 12915)
+++ main/waeup.kofa/trunk/docs/source/userdocs/testing/permissions.rst	(revision 12915)
@@ -0,0 +1,3 @@
+.. _permissions_txt:
+
+.. include:: ../../../../src/waeup/kofa/permissions.txt
Index: main/waeup.kofa/trunk/docs/source/userdocs/testing/userscontainer.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/testing/userscontainer.rst	(revision 12915)
+++ main/waeup.kofa/trunk/docs/source/userdocs/testing/userscontainer.rst	(revision 12915)
@@ -0,0 +1,3 @@
+.. _userscontainer_txt:
+
+.. include:: ../../../../src/waeup/kofa/userscontainer.txt
Index: main/waeup.kofa/trunk/docs/source/userdocs/users.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/users.rst	(revision 12912)
+++ main/waeup.kofa/trunk/docs/source/userdocs/users.rst	(revision 12915)
@@ -1,4 +1,38 @@
 .. _users:
 
-Portal Officers :sup:`in progress`
-**********************************
+Users :sup:`in progress`
+************************
+
+Kofa distinguishes between four types of users: anonymous users, applicants, students, portal officers/managers and the zope manager. Kofa distinguishes further between authenticated and unauthenticated users and between users with and without account object.
+
+The user authentication process in Kofa is quite complex. Briefly and in simple terms, a so-called Authenticator validates the credentials provided via the login form, fetches the matching account object, extracts the account data and finally leads to the creation of a temporary user object, a so-called principal. Kofa principals provide `name`, `title, `email`, `phone`, `public_name` and `user_type` attributes.
+
+Anonymous
+=========
+
+Anonymous users do not authenticate and thus do not provide credentials. Their user id in logfiles is always ``zope.anybody``. These users gain two permissions: :py:class:`Anonymous <waeup.kofa.permissions.Anonymous>` and :py:class:`Public <waeup.kofa.permissions.Public>`.
+
+Only a few actions of anonymous users are logged. These are payment data webservice requests, the execution of password mandates and the self-registration of applicants.
+
+
+Applicants and Students
+=======================
+
+Logged-in applicants or students are regular authenticated Kofa users. Their user account object is an adaption of their applicant/student object. More precisely, the Applicant/Student Authenticator fetches the matching applicant/student object and turns it on-the-fly into a Kofa account object which is further used for creating a principle instance. The `applicant_id`/`student_id` attribute becomes the user name and the `display_fullname` property serves as user title.
+
+
+Officers
+========
+
+Officers are users with a dedicated user account object stored in the :py:class:`users container <waeup.kofa.userscontainer.UsersContainer>` which is located in Kofa's root container. The officer accounts object has two more attributes than the principle which is created from the account data: (1) a `roles` attribute which is a list of global role names assigned to the officer, and (2) private `_local_roles` attribute which is a dictionary of local role elements.
+
+xxxxxxxxxxxxxxxxxxxx
+
+The latter is only for information purposes and not further used for authorization or permissions management.
+
+The management of portal officers is done in the 'Officers' section of Kofa. The management page shoes all officers registered in the portal. The table can be easily sorted or filtered.
+
+Manager
+=======
+
+user type      user id  authenticated  account  portal UI access